%define name sqsh
%define release alt4
%define version 2.1

Name: 		%name
Version: 	%version
Release: 	%release

Summary: 	SQL Shell. It is intended as a replacement for the Sybase 'isql'.
License: 	GPL
Group: 		Databases
Url: 		http://www.sqsh.org/

Source0: 	http://www.sqsh.org/%name-%version-src.tar.gz
Patch0:		%name-%version-makefile.patch
Patch1:		%name-%version-configure.patch

Prefix:		%prefix


# Automatically added by buildreq on Sun Oct 27 2002
BuildRequires: libfreetds-devel libncurses-devel libreadline-devel libssl
Requires: libfreetds > 0.60

%description
Sqsh (pronounced skwish) is short for SQshelL (pronounced s-q-shell),
it is intended as a replacement for the venerable 'isql' program supplied
by Sybase. 

Sqsh is much more than a nice prompt (a la 'dsql', from David B. Joyner),
it is intended to provide much of the functionality provided by a good
shell, such as variables, aliasing, redirection, pipes, back-grounding,
job control, history, command substitution, and dynamic configuration.
Also, as a by-product of the design, it is remarkably easy to extend
and add functionality.

Sqsh can be used for make connection to any databases with TDS-protocol
support (eg. MS-SQL or Sybase). This package is build with FreeTDS
library (http://www.freetds.org).

%prep

%setup -q
%patch0 -p1
%patch1 -p1

%build
export SYBASE=/usr
%configure --with-readline=yes

%make_build

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

%files
%config(noreplace) %_sysconfdir/sqshrc
%_bindir/sqsh
%_mandir/man1/sqsh.1*
%doc COPYING ChangeLog INSTALL README
%doc doc/FAQ doc/RELEASE doc/sample.* doc/*.sqshrc doc/sqsh.html

%changelog
* Mon Mar 17 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.1-alt4
- real rebuild with the last most stable version of FreeTDS -- v0.61

* Wed Mar 05 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.1-alt3
- rebuild with the last most stable version of FreeTDS -- v0.61

* Mon Feb 10 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.1-alt2.1
- rebuild with the last most stable version of FreeTDS -- v0.61rc1

* Sun Oct 27 2002 Dmitry Lebkov <dlebkov@altlinux.ru> 2.1-alt2
- rebuild with new version of FreeTDS library

* Mon Jul 01 2002 Dmitry Lebkov <dlebkov@altlinux.ru> 2.1-alt1
- initial package for ALT Linux
